%define name	efax-gtk
%define version 3.0.16
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	GTK2 frontend for efax
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/efax-gtk/%{name}-%{version}.src.tar.bz2
URL:		http://efax-gtk.sourceforge.net
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig
BuildRequires:  gtk2-devel
BuildRequires:  sigc++2.0-devel
BuildRequires:  desktop-file-utils

Requires:	ghostscript
Requires:       cups
Requires:       gv

%description
Efax-gtk provides a GUI frontend for the efax fax program. It interfaces with
efax directly, replacing the scripts supplied with efax, and can be used for
receiving and sending faxes, and for viewing, printing, and managing faxes
which have been received and sent.

%prep
%setup -q
# since users can't write to /var/lock
perl -p -i -e 's|/var/lock|/tmp||g' efax-gtkrc
# /dev/modem is quite common
perl -p -i -e 's|ttyS1|modem||g' efax-gtkrc

%build
%configure2_5x
perl -p -i -e 's/install-data-hook//g' Makefile efax-gtk-faxfilter/Makefile
perl -p -i -e 's/usr\/local/usr/g' Makefile
perl -p -i -e 's/stock_send-fax.png/stock_send-fax/g' efax-gtk.desktop
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" \
icon="communications_fax_section.png" \
needs="x11" \
title="EFax-GTK" \
longtitle="Send faxes with efax" \
section="Office/Communications/Fax" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Communications-Fax" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*



%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
touch /tmp/faxfile.ps
chmod a+rw /tmp/faxfile.ps

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README BUGS COPYING
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_datadir}/applications/*
%{_mandir}/man1/*
%{_menudir}/%name
/var/spool/fax/*




%changelog
* Sat Nov 17 2007 Jérôme Soyer <saispo@mandriva.org> 3.0.16-1mdv2008.1
+ Revision: 109349
- New release

* Tue Jul 31 2007 Jérôme Soyer <saispo@mandriva.org> 3.0.15-1mdv2008.0
+ Revision: 56953
- New release 3.0.15


* Sun Apr 01 2007 Jérôme Soyer <saispo@mandriva.org> 3.0.14-1mdv2007.1
+ Revision: 150142
- New release

* Tue Mar 13 2007 Jérôme Soyer <saispo@mandriva.org> 3.0.13-1mdv2007.1
+ Revision: 142195
- New release 3.0.13

* Wed Jan 03 2007 Jérôme Soyer <saispo@mandriva.org> 3.0.12-1mdv2007.1
+ Revision: 103725
- Add BuildRequires

  + Lenny Cartier <lenny@mandriva.com>
    - Update to 3.0.12
    - Import efax-gtk

* Fri Aug 25 2006 Lenny Cartier <lenny@mandriva.com> 3.0.11-1mdv2007.0
- 3.0.11
- xdg

* Tue Jun 13 2006 Lenny Cartier <lenny@mandriva.com> 3.0.10-1mdv2007.0
- 3.0.10

* Mon Mar 13 2006 Austin Acton <austin@mandriva.org> 3.0.9-1mdk
- New release 3.0.9

* Mon Jan 16 2006 Lenny Cartier <lenny@mandriva.com> 3.0.8-1mdk
- 3.0.8

* Sun Dec 04 2005 Austin Acton <austin@mandriva.org> 3.0.7-1mdk
- New release 3.0.7

* Wed Nov 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.0.6-2mdk
- Fix BuildRequires

* Tue Oct 18 2005 Lenny Cartier <lenny@mandriva.com> 3.0.6-1mdk
- 3.0.6

* Fri Oct 07 2005 Austin Acton <austin@mandriva.org> 3.0.5-1mdk
- New release 3.0.5

* Wed Aug 17 2005 Austin Acton <austin@mandriva.org> 3.0.4-1mdk
- New release 3.0.4

* Mon Jul 18 2005 Austin Acton <austin@mandriva.org> 3.0.3-1mdk
- New release 3.0.3

* Mon Jun 06 2005 Austin Acton <austin@mandriva.org> 3.0.2-1mdk
- New release 3.0.2

* Fri May 13 2005 Austin Acton <austin@mandriva.org> 3.0.1-1mdk
- New release 3.0.1
- source URL

* Tue May 10 2005 Austin Acton <austin@mandrake.org> 3.0.0-1mdk
- 3.0.0
- new buildrequires

* Sun Feb 27 2005 Austin Acton <austin@mandrake.org> 2.2.15-1mdk
- 2.2.15

* Mon Dec 27 2004 Austin Acton <austin@mandrake.org> 2.2.14-1mdk
- 2.2.14

* Sat Dec 25 2004 Austin Acton <austin@mandrake.org> 2.2.13-2mdk
- don't use /var/lock (bug #12684)
- use /dev/modem as default (bug #12684)
- thanks Richard Neill

* Sat Nov 20 2004 Austin Acton <austin@mandrake.org> 2.2.13-1mdk
- 2.2.13

* Mon Oct 25 2004 Austin Acton <austin@mandrake.org> 2.2.12-1mdk
- 2.2.12

* Sun Sep 26 2004 Austin Acton <austin@mandrake.org> 2.2.11-1mdk
- 2.2.11
- configure 2.5

* Mon Jul 26 2004 Austin Acton <austin@mandrake.org> 2.2.9-1mdk
- 2.2.9

* Sun Jun 20 2004 Austin Acton <austin@mandrake.org> 2.2.8-1mdk
- 2.2.8

* Thu Jun 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.2.7a-1mdk
- 2.2.7a

* Thu May 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.2.7-1mdk
- 2.2.7

